OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.Convolution

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTConvolution :: MonadIO m => m Bool
- gl_EXT_convolution :: Bool
- gl_CONVOLUTION_1D_EXT :: GLenum
- gl_CONVOLUTION_2D_EXT :: GLenum
- gl_CONVOLUTION_BORDER_MODE_EXT :: GLenum
- gl_CONVOLUTION_FILTER_BIAS_EXT :: GLenum
- gl_CONVOLUTION_FILTER_SCALE_EXT :: GLenum
- gl_CONVOLUTION_FORMAT_EXT :: GLenum
- gl_CONVOLUTION_HEIGHT_EXT :: GLenum
- gl_CONVOLUTION_WIDTH_EXT :: GLenum
- gl_MAX_CONVOLUTION_HEIGHT_EXT :: GLenum
- gl_MAX_CONVOLUTION_WIDTH_EXT :: GLenum
- gl_POST_CONVOLUTION_ALPHA_BIAS_EXT :: GLenum
- gl_POST_CONVOLUTION_ALPHA_SCALE_EXT :: GLenum
- gl_POST_CONVOLUTION_BLUE_BIAS_EXT :: GLenum
- gl_POST_CONVOLUTION_BLUE_SCALE_EXT :: GLenum
- gl_POST_CONVOLUTION_GREEN_BIAS_EXT :: GLenum
- gl_POST_CONVOLUTION_GREEN_SCALE_EXT :: GLenum
- gl_POST_CONVOLUTION_RED_BIAS_EXT :: GLenum
- gl_POST_CONVOLUTION_RED_SCALE_EXT :: GLenum
- gl_REDUCE_EXT :: GLenum
- gl_SEPARABLE_2D_EXT :: GLenum
- glConvolutionFilter1DEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glConvolutionFilter2DEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glConvolutionParameterfEXT :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glConvolutionParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glConvolutionParameteriEXT :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glConvolutionParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glCopyConvolutionFilter1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> m ()
- glCopyConvolutionFilter2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glGetConvolutionFilterEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetConvolutionParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetConvolutionParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetSeparableFilterEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> Ptr b -> Ptr c -> m ()
- glSeparableFilter2DEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> Ptr b -> m ()

# Extension Support

glGetEXTConvolution :: MonadIO m => m Bool

Is the EXT_convolution extension supported?

gl_EXT_convolution :: Bool

Is the EXT_convolution extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTConvolution` in those cases instead.

# Enums

gl_CONVOLUTION_1D_EXT :: GLenum

gl_CONVOLUTION_2D_EXT :: GLenum

gl_CONVOLUTION_BORDER_MODE_EXT :: GLenum

gl_CONVOLUTION_FILTER_BIAS_EXT :: GLenum

gl_CONVOLUTION_FILTER_SCALE_EXT :: GLenum

gl_CONVOLUTION_FORMAT_EXT :: GLenum

gl_CONVOLUTION_HEIGHT_EXT :: GLenum

gl_CONVOLUTION_WIDTH_EXT :: GLenum

gl_MAX_CONVOLUTION_HEIGHT_EXT :: GLenum

gl_MAX_CONVOLUTION_WIDTH_EXT :: GLenum

gl_POST_CONVOLUTION_ALPHA_BIAS_EXT :: GLenum

gl_POST_CONVOLUTION_ALPHA_SCALE_EXT :: GLenum

gl_POST_CONVOLUTION_BLUE_BIAS_EXT :: GLenum

gl_POST_CONVOLUTION_BLUE_SCALE_EXT :: GLenum

gl_POST_CONVOLUTION_GREEN_BIAS_EXT :: GLenum

gl_POST_CONVOLUTION_GREEN_SCALE_EXT :: GLenum

gl_POST_CONVOLUTION_RED_BIAS_EXT :: GLenum

gl_POST_CONVOLUTION_RED_SCALE_EXT :: GLenum

gl_REDUCE_EXT :: GLenum

gl_SEPARABLE_2D_EXT :: GLenum

# Functions

glConvolutionFilter1DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

This command is an alias for `glConvolutionFilter1D`.

glConvolutionFilter2DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

This command is an alias for `glConvolutionFilter2D`.

glConvolutionParameterfEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> GLfloat | `params` of type `CheckedFloat32`.
-> m () |

This command is an alias for `glConvolutionParameterf`.

glConvolutionParameterfvEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

This command is an alias for `glConvolutionParameterfv`.

glConvolutionParameteriEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> GLint | `params` of type `CheckedInt32`.
-> m () |

This command is an alias for `glConvolutionParameteri`.

glConvolutionParameterivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

This command is an alias for `glConvolutionParameteriv`.

glCopyConvolutionFilter1DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

This command is an alias for `glCopyConvolutionFilter1D`.

glCopyConvolutionFilter2DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glCopyConvolutionFilter2D`.

glGetConvolutionFilterEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

glGetConvolutionParameterfvEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetConvolutionParameterivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTargetEXT.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetSeparableFilterEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type SeparableTargetEXT.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `row` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> Ptr b | `column` pointing to `COMPSIZE(target,format,type)` elements of type `b`.
-> Ptr c | `span` pointing to `COMPSIZE(target,format,type)` elements of type `c`.
-> m () |

glSeparableFilter2DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type SeparableTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `row` pointing to `COMPSIZE(target,format,type,width)` elements of type `a`.
-> Ptr b | `column` pointing to `COMPSIZE(target,format,type,height)` elements of type `b`.
-> m () |

This command is an alias for `glSeparableFilter2D`.